### Function

# FwupdPlugin StreamInputStream from_stream

since: 2.0.7

#### Declaration [src]

    FuInputStream*
    fu_stream_input_stream_from_stream (
      GInputStream* stream
    )

#### Description [src]

Wraps a `GInputStream` and returns a `FuStreamInputStream`. The `stream` is reffed and future operations on this input stream apply to the underlying `GInputStream`.

Available since: 2.0.7

#### Parameters

`stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

#### Return value

Type: `FuInputStream`

A `FuStreamInputStream`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.